Delete associated device from specified route set
delete
/{versionId}/routeSets/{routeSetId}/devices/{deviceGroupId}
Use this method (DELETE) to remove an associated device from a particular route set. The user needs to provide the routeset ID and device ID as part of resource URI.
Request
Path Parameters
-
deviceGroupId(required):
The group id which whose association needs to be removed from route set.
-
routeSetId(required):
The route set id from which association needs to be deleted.
-
versionId(required):
The REST API version. It's value is v1.3.
Response
200 Response
400 Response
The user input is invalid.
401 Response
The session ID is invalid.
403 Response
There is no permission to access the resources.
404 Response
The object (resource URI, device, and so on) of your input request cannot be found.
500 Response
Internal server error
Examples
Examples of Accessing the API
See Authenticate for how to acquire a session cookie.
The following example shows how to delete associated device from specified route set using curl.
curl -X DELETE \
-b sessionid.txt \
--header "Accept: application/xml" \
--header "Content-Type: application/xml" \
"https://example.com:8443/rest/v1.3/routeSets/{routeSetId}/devices/{deviceGroupId}"The following example shows how to delete associated device from specified route set using Python.
import requests
from lxml import etree
url = "https://example.com:8443/rest/v1.3/routeSets/{routeSetId}/devices/{deviceGroupId}"
headers = { "Accept":"application/xml", "Cookie":cookie }
resp = requests.delete(url, headers=headers)Example of the Response Body
This endpoint does not return a response body.